cURL
curl --request PATCH \
--url https://us.infisical.com/api/v1/app-connections/laravel-forge/{connectionId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"isPlatformManagedCredentials": false,
"gatewayId": "<unknown>",
"gatewayPoolId": "<unknown>",
"isAutoRotationEnabled": false,
"rotation": "<unknown>"
}
'import requests
url = "https://us.infisical.com/api/v1/app-connections/laravel-forge/{connectionId}"
payload = {
"name": "<string>",
"description": "<string>",
"isPlatformManagedCredentials": False,
"gatewayId": "<unknown>",
"gatewayPoolId": "<unknown>",
"isAutoRotationEnabled": False,
"rotation": "<unknown>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isPlatformManagedCredentials: false,
gatewayId: '<unknown>',
gatewayPoolId: '<unknown>',
isAutoRotationEnabled: false,
rotation: '<unknown>'
})
};
fetch('https://us.infisical.com/api/v1/app-connections/laravel-forge/{connectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appConnection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"app": "laravel-forge",
"method": "api-token",
"credentials": {},
"description": "<string>",
"version": 1,
"isPlatformManagedCredentials": false,
"gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>",
"isAutoRotationEnabled": false,
"gatewayPoolId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rotation": {
"rotationInterval": 123,
"rotateAtUtc": {
"hours": 123,
"minutes": 123
},
"lastRotationMessage": "<string>",
"nextRotationAt": "2023-11-07T05:31:56Z"
},
"credentialsHash": "<string>",
"project": {
"name": "<string>",
"id": "<string>",
"type": "<string>",
"slug": "<string>"
}
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Laravel Forge
Update
Update the specified Laravel Forge Connection.
PATCH
/
api
/
v1
/
app-connections
/
laravel-forge
/
{connectionId}
cURL
Check out the configuration docs for Laravel Forge
Connections to learn how to
obtain the required credentials.
Path Parameters
The ID of the Laravel Forge Connection to be updated.
Body
application/json
The credentials used to connect with Laravel Forge.
Show child attributes
Show child attributes
The updated name of the Laravel Forge Connection. Must be slug-friendly.
Required string length:
1 - 64The updated description of the Laravel Forge Connection.
Maximum string length:
256Not supported for Laravel Forge Connections.
Available options:
false Not supported for Laravel Forge Connections.
Not supported for Laravel Forge Connections.
Not supported for Laravel Forge Connections.
Available options:
false Not supported for Laravel Forge Connections.
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I